Subject: Re: Gen-ART Last Call Review of draft-ietf-pim-rpf-vector-06

From: IJsbrand Wijnands <[email-masked]>
Date: Wed, 10 Dec 2008 16:46:59 +0100

Hi Ben,

Sorry for the delay..

> Substantive Comments:
>
> -- It is not clear to me why this is to be an informational RFC. It  
> seems to be defining protocol. If that protocol is not intended to  
> be a standard, then it would help to have an applicability  
> statement to that effect.

Good point, we feel this document should be on standard track. We're  
working with the PIM WG chairs currently to get in on standards track.

>
> -- Section 4:
>
> The IANA considerations section needs a little more information. Is  
> this attribute to be added to an existing registry? Is a new  
> registry needed?

To an existing registry, we'll make this clear.

>
> -- Section 5:
>
> The security considerations section implies that adding this new  
> Vector creates no new security considerations beyond those in  
> RFC4601. I am not qualified to hold an opinion whether this is true  
> or not--has the working group explicitly thought about it?

Well, it has passed WG last-call, so as far as I can tell there is  
consensus..

>
> Editorial Comments:
>
> -- IDNITS reports that there is no RFC 2119 reference or  
> boilerplate, but there is at least one use of normative language  
> (2.3.4).

Will fix that.

>
> -- There are a number of acronyms that should be expanded on first  
> use. I would not worry about expanding acronyms that are well known  
> to the entire IETF community (e.g. TCP), but acronyms that are not  
> widely known outside the BGP community probably should be.

Will fix that.

>
> -- Section 2, first sentence:
>
> Who is the "we" in this context? A edge router? (This is not a  
> complaint about 2nd person language in general so much as a concern  
> about the actor being obscured.)  The pattern of saying "we" or  
> "our" referring to a network element taking some particular action  
> occurs a few more times in the document. It would be better to  
> simply name the element.

Ok, will adjust the text to make it clear.

>
> -- Section 2.3.4, first paragraph:
>
> s/depending/dependent
>
> -- IDNITS reports that the reference to draft-ietf-pim-join- 
> attributes-03 is outdated. There is an 06 as of the time of this  
> review.

This is an RFC now, will update it.

Thanks for the review!

Ice.

_______________________________________________
Ietf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf